<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'SmsSendMessage';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['GsmPort']) || !isset($this->_get['PhoneNumber']) || !isset($this->_get['Message'])) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		if (strlen($this->_get['Message']) > 670) {
			$this->_execResultString = 'error:message_too_long';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$smsId = uniqid();
		$smsFile = '/tmp/sms/out/' . $smsId . '.sms';
		$smsContent = 'num=' . $this->_get['PhoneNumber'] . "\n" . 'port='. $this->_get['GsmPort'] . "\n" . 'msg=' . $this->_get['Message'];

		if (!file_exists('/tmp/sms/out')) {
			exec('/bin/mkdir -p /tmp/sms/out');
		}
		@file_put_contents($smsFile, $smsContent);

		return($this->_execResult . ':identifier:' . $smsId);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
